Oore CI

Create instance secret

Stores an encrypted value. The response never contains it. Requires instance settings write access.

Operation IDcreate_instance_secret
POST
/v1/secrets

Stores an encrypted value. The response never contains it. Requires instance settings write access.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/secrets" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "value": "string"  }'
{  "secret": {    "created_at": 0,    "name": "string",    "pipeline_id": "string",    "project_id": "string",    "scope": "instance",    "updated_at": 0  }}